std::__fwdlist::_Iterator< _Const, _Ptr >(3cxx)

NAME
std::__fwdlist::_Iterator< _Const, _Ptr > - A forward_list iterator when the allocator uses fancy pointers.

SYNOPSIS

#include <forward_list>

  Public Types

using difference_type
using iterator_category
using pointer
using reference
using value_type

  Public Member Functions

constexpr _Iterator (_Base_ptr __x) noexcept
_Iterator (const _Iterator &)=default
constexpr _Iterator (const _Iterator< false, _Ptr > &__i)
constexpr reference operator* () const noexcept
constexpr _Iterator & operator++ () noexcept
constexpr _Iterator operator++ (int) noexcept
constexpr pointer operator-> () const noexcept
_Iterator & operator= (const _Iterator &)=default

  Friends

template<typename _Tp, typename _Allocator> struct ::_Fwd_list_base
template<typename _Tp, typename _Allocator> class ::forward_list
constexpr bool operator== (const _Iterator &__x, const _Iterator &__y) noexcept
Forward list iterator equality comparison.

Detailed Description

  template<bool _Const, typename _Ptr>
class std::__fwdlist::_Iterator< _Const, _Ptr >"A forward_list iterator when the allocator uses fancy pointers.

Friends And Related Symbol Documentation

  template<bool _Const, typename _Ptr> bool operator== (const _Iterator< _Const, _Ptr > & __x, const _Iterator< _Const, _Ptr > & __y) [friend]

Forward list iterator equality comparison.

Author

Generated automatically by Doxygen for libstdc++ from the source code.